
QGIS Application - Bug report #15868

Frequent errors in DB Manager: `pyqtSignal must be bound to a QObject, not 'PGVectorTable'`

2016-11-21 03:12 AM - Paolo Cavallini

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:2.18.4 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23786

Description

Using DB Manager results in occasional errors of the type

0

. Closing DB Manager and reopening it solves temporarily the issue.

[0]

TypeError: pyqtSignal must be bound to a QObject, not 'PGVectorTable'

Traceback (most recent call last):

  File

"C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\\db_manager\\db_manager.py",

line 116, in tabChanged

    self.refreshTabs()

  File

"C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\\db_manager\\db_manager.py",

line 142, in refreshTabs

    self.preview.loadPreview(item)

  File

"C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\\db_manager\\layer_preview.py",

line 62, in loadPreview

    self._clear()

  File

"C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\\db_manager\\layer_preview.py",

line 83, in _clear

    self.item.aboutToChange.disconnect(self.setDirty)

TypeError: pyqtSignal must be bound to a QObject, not 'PGVectorTable'

Associated revisions

Revision 7266410a - 2017-05-30 04:38 PM - Salvatore Larosa

Merge pull request #4533 from boundlessgeo/too_many_dbmanager_errors_fix#15868

[db_manager] catch exception when item has lost reference. for 2.18 regression fixes #15868

History

#1 - 2016-11-21 10:29 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression
#fn0


regression, do not occur on LTR.

#2 - 2016-12-12 05:52 AM - Jérôme Guélat

The problem is still happening with 2.18.1

#3 - 2017-02-28 03:19 AM - Giovanni Manghi

- Target version set to Version 2.18

- Affected QGIS version changed from 2.18.0 to 2.18.4

#4 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#5 - 2017-04-30 05:08 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#6 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#7 - 2017-05-04 05:38 PM - Luigi Pirelli

- Description updated

please give some serious procedure to replicate

#8 - 2017-05-04 05:57 PM - Luigi Pirelli

btw QgsMapCanvas::setDirty has been deprecated in favour of refresh()

check if setDirty has been removed in 3.x version

#9 - 2017-05-04 06:04 PM - Luigi Pirelli

still used in the version for qgis 3.x

#10 - 2017-05-04 06:24 PM - Luigi Pirelli

the problem is related with the removing of the layer tab => QT elements have been destroied but slot still connected at pyqt level... wouldn't be an issu

just ignore this king of exception.

similar problem has been present in other pyqt pallication using TABs

#11 - 2017-05-11 03:35 PM - Luigi Pirelli

fix in https://github.com/qgis/QGIS/pull/4533

writing PR for 3.0 too
#12 - 2017-05-12 12:23 PM - Luigi Pirelli

fix for 3.0 will be delayed because actually in this version db_manager raise much more exception than the 2.18 or 2.14 one => I'll try to work in a general

PR fixup most common one.

#13 - 2017-05-12 12:23 PM - Luigi Pirelli

- Pull Request or Patch supplied changed from No to Yes

#14 - 2017-05-30 04:38 PM - Salvatore Larosa

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|7266410aced292bd9cacdfe5bc3c59c91adf1a89.
